%define         srcname       wmGrabImage
%global _legacy_common_support 1

Name:           wmgrabimage
Version:        0.72
Release:        %mkrel 12
Summary:        A dockapp that maintains a thumbnail copy of any remote image
License:        GPLv2
Group:          Monitoring

URL:            http://dockapps.windowmaker.org/file.php/id/12
Source0:        http://dockapps.windowmaker.org/download.php/id/19/%{srcname}-%{version}.tgz

#fix old style call to convert with -geom instead of expected -geometry
Patch0:          %{srcname}-0.72-convert.patch
Patch1:          %{srcname}-0.72-ctime.patch
Patch2:          wmgrabimage-0.72-cflags.patch


BuildRequires:  glibc-devel
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)

Requires: perl
Requires: imagemagick
Requires: wget
Requires: sed



%description
Wmgrabimage is another dockapp for WindowMaker, or any window manager
and desktop environment that handles dock applications. It displays a
small copy of any remote image you want to monitor via the "-url"
command line argument. The default update interval is 5 minutes but
can be overridden through the "-delay" option.



%prep
%setup -q -n %{srcname}-%{version}
%autopatch -p1


%build
cd %{srcname}
%set_build_flags
%make_build clean
%make_build


%install
cd %{srcname}
install -D -m 755 GrabImage %{buildroot}%{_bindir}/GrabImage
install -D -m 755 %{srcname} %{buildroot}%{_bindir}/%{name}
install -D -m 644 %{srcname}.1 %{buildroot}%{_mandir}/man1/%{name}.1


%files
%doc BUGS CHANGES COPYING HINTS TODO
%{_bindir}/GrabImage
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
* Sat Aug 22 2020 joequant <joequant> 0.72-12.mga8
+ Revision: 1617882
- fix gcc10 build

* Fri Feb 14 2020 umeabot <umeabot> 0.72-11.mga8
+ Revision: 1518193
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sun Sep 23 2018 umeabot <umeabot> 0.72-10.mga7
+ Revision: 1301694
- Mageia 7 Mass Rebuild

* Fri Sep 22 2017 cjw <cjw> 0.72-9.mga7
+ Revision: 1157164
- fix debug packages

* Fri Feb 05 2016 umeabot <umeabot> 0.72-8.mga6
+ Revision: 938868
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.72-7.mga5
+ Revision: 747364
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.72-6.mga5
+ Revision: 690340
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.72-5.mga4
+ Revision: 520236
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.72-4.mga3
+ Revision: 385751
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 eatdirt <eatdirt> 0.72-3.mga3
+ Revision: 314652
- Fix dead link in URL

* Tue Jun 12 2012 eatdirt <eatdirt> 0.72-2.mga3
+ Revision: 260054
- Fix obsolete reference to "ctime.pl" in perl script

* Tue Oct 18 2011 eatdirt <eatdirt> 0.72-1.mga2
+ Revision: 156361
- imported package wmgrabimage

